/*ASCEND Summer Workshop 2020
 * Potentiometer with LED Activity
 * 
 * This is a reference sketch to be used with the 
 * Control Systems Part 1 workshop material.
 * 
 * This sketch includes
 * - Using pinMode functions
 * - Using analogRead
 * - Turning an LED On/Off using digitalWrite
 * - Using delay to control blink intervals
 */
 

void setup() {
  Serial.begin(9600);  // open serial connection for viewing text
  pinMode(13, OUTPUT); // use pin 13 for output
}

void loop() {
  int potPosition = analogRead(0); // read the output from the pot
  Serial.print("potPosition: ");
  Serial.println(potPosition);  // view pot position

  digitalWrite(13, HIGH);       // turn on pin 13
  delay(potPosition);           // wait time based on pot position

  digitalWrite(13, LOW);        // turn off pin 13
  delay(potPosition);           // wait time based on pot position
}
